org.apache.cassandra.metrics

## Interface MetricNameFactory

- All Known Implementing Classes:
    DefaultNameFactory

      public interface MetricNameFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.yammer.metrics.core.MetricName` | `createMetricName(java.lang.String metricName)` Create `MetricName` from given metric name.

- - ### Method Detail

    - #### createMetricName

          com.yammer.metrics.core.MetricName createMetricName(java.lang.String metricName)

      Create `MetricName` from given metric name.
      Parameters:
        `metricName` - Name part of `MetricName`.
      Returns:
        new MetricName with given metric name.

Copyright © 2014 The Apache Software Foundation